<?php

namespace Drp\EventPalAdmin\Http\Controllers\Quiz;

use Drp\EventPalAdmin\Http\Controllers\Controller;
use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Models\QuizQuestion;
use Illuminate\View\View;

class ResultsController extends Controller
{
    public function __invoke(Quiz $quiz, QuizQuestion $question): View // phpcs:ignore
    {
        $view = config("eventpal-admin.graphs.{$question->graph}") ?? 'eventpal-admin::graphs.bar';

        return view($view, compact('quiz', 'question'));
    }
}
